src/Entity/Image.php
<?php

namespace App\Entity;

use App\Entity\Product;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;
use Symfony\Component\HttpFoundation\File\UploadedFile;

/**
 * Product
 *
 * @ORM\Entity(repositoryClass=ImageRepository::class)
 * @ORM\Table(name="sp_image")
 * @ORM\HasLifecycleCallbacks
 */
class Image
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="path", type="string", nullable=true)
     */
    private $path;

    /**
     * @ORM\ManyToOne(targetEntity="Product", inversedBy="images")
     * @ORM\JoinColumn(name="product_id", referencedColumnName="id")
     */
    private $product;

    public function __construct()
    {
        $this->path = md5(uniqid());
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set path
     *
     * @param string $path
     *
     * @return Image
     */
    public function setPath($path)
    {
        $this->path = $path;

        return $this;
    }

    /**
     * @var string
     *
     * @ORM\Column(name="extension", type="string", length=255)
     */
    private $extension;

    /**
     * Set extension
     *
     * @param $extension
     * @return Image
     */
    public function setExtension($extension)
    {
        $this->extension = $extension;

        return $this;
    }

    /**
     * Get extension
     *
     * @return string
     */
    public function getExtension()
    {
        return $this->extension;
    }

    /**
     * Get path
     *
     * @return string
     */
    public function getPath()
    {
        return $this->path;
    }

    private $file;

    private $tempFilename;

    public function getFile()
    {
        return $this->file;
    }

    public function setFile(UploadedFile $file = null)
    {
        $this->file = $file;

        if (null !== $this->extension)
        {
            $this->tempFilename = $this->extension;

            $this->extension = null;
            $this->name = null;
        }
    }

    /**
     * @ORM\PrePersist()
     * @ORM\PreUpdate()
     */
    public function preUpload()
    {
        // If no file is set, do nothing
        if (null === $this->file)
        {
            return;
        }

        $this->extension = $this->file->guessExtension();

        $this->name = $this->file->getClientOriginalName();
    }

    /**
     * @ORM\PostPersist()
     * @ORM\PostUpdate()
     */
    public function upload()
    {
        if (null === $this->file)
        {
            return;
        }

        if (null !== $this->tempFilename)
        {
            $oldFile = $this->getUploadRootDir().'/'.$this->id.'/'.$this->path.'.'.$this->tempFilename;
            if (file_exists($oldFile))
            {
                unlink($oldFile);
            }
        }

        $id = null;
        if ($this->getProduct() != null) {
            $id = 'products/'.$this->getProduct()->getId();
        }

        try {
            $this->file->move(
                $this->getUploadRootDir().'/'.$id,
                $this->path.'.'.$this->extension
            );
        } catch (\Exception $e) {
        }
    }

    /**
     * @ORM\PreRemove()
     */
    public function preRemoveUpload()
    {
        $this->tempFilename = $this->getUploadRootDir().'/'.$this->path.'.'.$this->extension;
    }

    /**
     * @ORM\PostRemove()
     */
    public function removeUpload()
    {
        if (file_exists($this->tempFilename))
        {
            unlink($this->tempFilename);
        }
    }

    public function getUploadDir()
    {
        return 'public/';
    }

    protected function getUploadRootDir()
    {
        return __DIR__.'/../../'.$this->getUploadDir();
    }

    public function getUrl()
    {
        return $this->path.'.'.$this->extension;
    }

    public function getProduct(): ?Product
    {
        return $this->product;
    }

    public function setProduct(?Product $product): self
    {
        $this->product = $product;

        return $this;
    }

    public function getPublicPath()
    {
        return "/products/".$this->id."/".$this->path.".".$this->extension;
    }
}

src/Entity/User.php
<?php

namespace App\Entity;

use App\Repository\UserRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Symfony\Component\Security\Core\User\UserInterface;

/**
 * @ORM\Entity(repositoryClass=UserRepository::class)
 * @ORM\Table(name="sp_user")
 * @UniqueEntity(fields={"email"}, message="There is already an account with this email")
 */
class User implements UserInterface
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=180, unique=true)
     */
    private $email;

    /**
     * @var String
     * @ORM\Column(type="string", length=255)
     */
    private $name;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $vat_number;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $phone;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $logo;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $slug;

    /**
     * @ORM\Column(type="string", length=180)
     */
    private $account_type;

    /**
     * @ORM\OneToMany(targetEntity="Product", mappedBy="user", cascade={"persist", "remove"})
     */
    private $products;

    /**
     * @ORM\OneToMany(targetEntity="Ticket", mappedBy="client", cascade={"persist", "remove"})
     */
    private $ticketsFrom;

    /**
     * @ORM\OneToMany(targetEntity="Ticket", mappedBy="provider", cascade={"persist", "remove"})
     */
    private $ticketsFor;

    /**
     * @ORM\Column(type="string", length=180)
     */
    private $address;

    /**
     * @ORM\Column(type="json")
     */
    private $roles = [];

    /**
     * @var string The hashed password
     * @ORM\Column(type="string")
     */
    private $password;

    /**
     * @ORM\Column(type="boolean")
     */
    private $isVerified = false;

    /**
     * @ORM\OneToMany(targetEntity=QuoteGeneration::class, mappedBy="client")
     */
    private $generation_from;

    /**
     * @ORM\OneToMany(targetEntity=QuoteGeneration::class, mappedBy="provider")
     */
    private $generation_to;

    /**
     * @ORM\Column(type="boolean")
     */
    private $is_subscribed = false;

    /**
     * @ORM\OneToMany(targetEntity=Notification::class, mappedBy="user")
     */
    private $notifications;

    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $created_at;

    /**
     * @ORM\OneToMany(targetEntity=Company::class, mappedBy="user")
     * @Assert\Count(max=3, maxMessage="Vous ne pouvez pas spécifier plus de {{ limit }} entreprises")
     */
    private $companies;

    /**
     * @ORM\Column(type="array")
     */
    private $regions = [];

    /**
     * @ORM\ManyToMany(targetEntity=Field::class, inversedBy="users")
     */
    private $fields;

    /**
     * @return mixed
     */
    public function getTicketsFrom()
    {
        return $this->ticketsFrom;
    }

    /**
     * @param mixed $ticketsFrom
     * @return User
     */
    public function setTicketsFrom($ticketsFrom)
    {
        $this->ticketsFrom = $ticketsFrom;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getTicketsFor()
    {
        return $this->ticketsFor;
    }

    /**
     * @param mixed $ticketsFor
     * @return User
     */
    public function setTicketsFor($ticketsFor)
    {
        $this->ticketsFor = $ticketsFor;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param mixed $name
     * @return User
     */
    public function setName($name)
    {
        $this->name = $name;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getVatNumber()
    {
        return $this->vat_number;
    }

    /**
     * @param mixed $vat_number
     * @return User
     */
    public function setVatNumber($vat_number)
    {
        $this->vat_number = $vat_number;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * @param mixed $phone
     * @return User
     */
    public function setPhone($phone)
    {
        $this->phone = $phone;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getSlug()
    {
        return $this->slug;
    }

    /**
     * @param mixed $slug
     * @return User
     */
    public function setSlug($slug)
    {
        $this->slug = $slug;
        return $this;
    }

    public function __construct()
    {
        $this->generation_from = new ArrayCollection();
        $this->generation_to = new ArrayCollection();
        $this->notifications = new ArrayCollection();

        $this->created_at = new \DateTime();
        $this->companies = new ArrayCollection();
        $this->fields = new ArrayCollection();
    }

    public function __toString()
    {
        return $this->name;
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail(string $email): self
    {
        $this->email = $email;

        return $this;
    }

    /**
     * A visual identifier that represents this user.
     *
     * @see UserInterface
     */
    public function getUsername(): string
    {
        return (string) $this->email;
    }

    /**
     * @see UserInterface
     */
    public function getRoles(): array
    {
        $roles = $this->roles;
        // guarantee every user at least has ROLE_USER
        $roles[] = 'ROLE_USER';

        return array_unique($roles);
    }

    public function setRoles(array $roles): self
    {
        $this->roles = $roles;

        return $this;
    }

    /**
     * @see UserInterface
     */
    public function getPassword(): string
    {
        return (string) $this->password;
    }

    public function setPassword(string $password): self
    {
        $this->password = $password;

        return $this;
    }

    /**
     * @see UserInterface
     */
    public function getSalt()
    {
        // not needed when using the "bcrypt" algorithm in security.yaml
    }

    /**
     * @see UserInterface
     */
    public function eraseCredentials()
    {
        // If you store any temporary, sensitive data on the user, clear it here
        // $this->plainPassword = null;
    }

    /**
     * @return mixed
     */
    public function getLogo()
    {
        return $this->logo;
    }

    /**
     * @param mixed $logo
     * @return User
     */
    public function setLogo($logo): User
    {
        $this->logo = $logo;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getProducts()
    {
        return $this->products;
    }

    public function getLogoUrl()
    {
        return '/logos/'.$this->logo;
    }

    /**
     * @param mixed $products
     * @return User
     */
    public function setProducts($products): User
    {
        $this->products = $products;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getAccountType()
    {
        return $this->account_type;
    }

    /**
     * @param mixed $account_type
     * @return User
     */
    public function setAccountType($account_type): User
    {
        $this->account_type = $account_type;
        return $this;
    }

    public function isVerified(): bool
    {
        return $this->isVerified;
    }

    public function setIsVerified(bool $isVerified): self
    {
        $this->isVerified = $isVerified;

        return $this;
    }

    /**
     * @return Collection|QuoteGeneration[]
     */
    public function getGenerationFrom(): Collection
    {
        return $this->generation_from;
    }

    public function addGenerationFrom(QuoteGeneration $generationFrom): self
    {
        if (!$this->generation_from->contains($generationFrom)) {
            $this->generation_from[] = $generationFrom;
            $generationFrom->setClient($this);
        }

        return $this;
    }

    public function removeGenerationFrom(QuoteGeneration $generationFrom): self
    {
        if ($this->generation_from->removeElement($generationFrom)) {
            // set the owning side to null (unless already changed)
            if ($generationFrom->getClient() === $this) {
                $generationFrom->setClient(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection|QuoteGeneration[]
     */
    public function getGenerationTo(): Collection
    {
        return $this->generation_to;
    }

    public function addGenerationTo(QuoteGeneration $generationTo): self
    {
        if (!$this->generation_to->contains($generationTo)) {
            $this->generation_to[] = $generationTo;
            $generationTo->setProvider($this);
        }

        return $this;
    }

    public function removeGenerationTo(QuoteGeneration $generationTo): self
    {
        if ($this->generation_to->removeElement($generationTo)) {
            // set the owning side to null (unless already changed)
            if ($generationTo->getProvider() === $this) {
                $generationTo->setProvider(null);
            }
        }

        return $this;
    }

    /**
     * @return mixed
     */
    public function getAddress()
    {
        return $this->address;
    }

    /**
     * @param mixed $address
     * @return User
     */
    public function setAddress($address): self
    {
        $this->address = $address;
        return $this;
    }

    public function getIsSubscribed(): ?bool
    {

src/Controller/ProviderController.php
<?php
namespace App\Controller;

use App\Entity\Product;
use App\Entity\PropertySearch;
use App\Entity\User;
use App\Form\ProviderPropertySearch;
use App\Repository\ProductRepository;
use App\Repository\UserRepository;
use Knp\Component\Pager\PaginatorInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/fournisseurs")
 */
class ProviderController extends AbstractController
{

    /**
     * @Route("/", name="front_provider_listing")
     * @param Request $request
     * @param UserRepository $userRepository
     * @param PaginatorInterface $paginator
     * @return Response
     */
    public function index(Request $request, UserRepository $userRepository,  PaginatorInterface $paginator)
    {
        $propertySearch = new PropertySearch();
        $form = $this->createForm(ProviderPropertySearch::class, $propertySearch);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $users = $userRepository->findBySearch($propertySearch);
        } else {
            $users = $userRepository->findBy(["account_type" => "ROLE_PROVIDER", "is_subscribed" => true]);
        }

        $users = $paginator->paginate(
            $users,
            $request->query->getInt('page', 1),
            10
        );
        return $this->render("provider/index.html.twig", [
            "users" => $users,
            "form" => $form->createView()
        ]);
    }

    /**
     * @Route("/{slug}", name="front_provider_products_listing")
     * @param Request $request
     * @param UserRepository $userRepository
     * @param $slug
     * @param PaginatorInterface $paginator
     * @return Response
     */
    public function productsListing(Request $request, UserRepository $userRepository, $slug,  PaginatorInterface $paginator)
    {
        $user = $userRepository->findOneBy(['slug' => $slug]);
        if (!$user || !$user->isSubscribed()) {
            return $this->redirectToRoute('front_home');
        }
        $products = $user->getProducts();
        $products = $paginator->paginate(
            $products,
            $request->query->getInt('page', 1),
            10
        );
        return $this->render("provider/products_listing.html.twig", [
            "products" => $products,
            "user" => $user
        ]);
    }

    /**
     * @Route("/{provider}/{slug}-{id}", name="front_provider_product_show", requirements={"slug": "[a-z0-9\-]*"})
     * @param $slug
     * @param Product $product
     * @param ProductRepository $productRepository
     * @return Response
     */
    public function productShow($slug, Product $product, ProductRepository $productRepository)
    {
        if ($product->getSlug() !== $slug) {
            return $this->redirectToRoute("front_provider_product_show", [
                "id" => $product->getId(),
                "slug" => $product->getSlug(),
                "provider" => $product->getUser()->getSlug()
            ], 301);
        }

        $related_products = $productRepository->getRelatedProducts($product);

        return $this->render("provider/product_show.html.twig", [
            "product" => $product,
            "related_products" => $related_products,
            "user" => $product->getUser(),
        ]);
    }
}

templates/provider/index.html.twig
{% extends "frontBase.html.twig" %}

{% block title %}
    Liste des fournisseurs
{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">Listes des fournisseurs</h1>
            <p class="lead">Aenean lacinia bibendum nulla sed consectetur</p>
        </div>
    </div>
    <div class="wrapper light-wrapper">
        <div class="container inner">
            {% if form is defined %}
            {{ form_start(form) }}
            <h4 class="widget-title">Filtre</h4>
            <div class="row">
                <div class="col-lg-5">
                    <div class="sidebox widget">
                        <div class="form-group">
                            {{ form_widget(form.name, {attr: {class: 'form-control', placeholder: 'Nom du fournisseur'}}) }}
                        </div>
                    </div>
                </div>
                <div class="col-lg-5">
                    <div class="sidebox widget">
                        <div class="form-group custom-select-wrapper">
                            {{ form_widget(form.region, {attr: {class: 'custom-select'}}) }}
                        </div>
                    </div>
                </div>
                <div class="col-lg-2">
                    <div class="form-group">
                        <button type="submit" class="btn d-block btn-primary">Filtrer</button>
                    </div>
                </div>
            </div>
            {{ form_end(form) }}
            <hr>
            {% endif %}
            <div class="row">
                {% for user in users %}
                <div class="item item-detailed grid-sizer col-md-6 col-lg-4">
                    <div class="box bg-white shadow p-30">
                        <figure class="main rounded mb-30">
                            <div class="item-detailed-image">
                                <a href="{{ path('front_provider_products_listing', {slug: user.slug}) }}">
                                    <img src="{{ user.logoUrl }}" alt="">
                                </a>
                            </div>
                        </figure>
                        <div class="item-content">
                            <h2 class="post-title text-center mb-10"><a href="{{ path('front_provider_products_listing', {slug: user.slug}) }}">{{ user.name }}</a></h2>
                            <p class="price mb-0 text-center">
                                <span class="amount"><i class="jam jam-cog"></i>
                                    {% for field in user.fields %}
                                        {% if loop.last %}
                                            {{ field }}
                                        {% else %}
                                            {{ field }} .
                                        {% endif %}
                                    {% endfor %}
                                </span><br>
                                <span class="amount"><i class="jam jam-map-marker"></i>
                                    {% for region in user.regions %}
                                        {% if loop.last %}
                                            {{ region }}
                                        {% else %}
                                            {{ region }} .
                                        {% endif %}
                                    {% endfor %}
                                </span>
                            </p>
                            {#<span class="ratings five"></span>#}
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}{% endblock %}

templates/provider/product_show.html.twig
{% extends 'frontBase.html.twig' %}

{% block title %}
    {{ product.user.name }}::{{ product.name }}
{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">{{ product.name }}</h1>
            <nav class="lead" style="color: #fff;">
                <a href="/">Accueil</a> - <a href="{{ path('front_provider_listing') }}">Fournisseurs</a> - <a href="{{ path('front_provider_products_listing', {slug: user.slug}) }}">{{ user.name }}</a> - <span>{{ product.name }}</span>
            </nav>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            <div class="row">
                <div class="col-lg-5 mb-0">
                    <div class="owl-slider-wrapper">
                        <div class="owl-carousel owl-slider-main mb-10">
                            {% for image in product.images %}
                            <div class="item"><img src="{{ asset(image.publicPath) }}" alt="" /></div>
                            {% endfor %}
                        </div>
                        <div class="owl-carousel owl-slider-nav mb-0">
                            {% for image in product.images %}
                                <div class="item"><img src="{{ asset(image.publicPath) }}" alt="" /></div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
                <aside class="col-lg-6 offset-lg-1 sidebar product">
                    <h1 class="post-title">{{ product.name }}</h1>
                    {% if product.price %}
                    <div class="price large"><span class="amount">{{ product.price }}TND</span></div>
                    {% endif %}
                    <div class="space30"></div>
                    <p>{{ product.description }}</p>
                    {#<span class="ratings four"></span> <a href="#" class="hover">(3 Customer Reviews)</a>#}
                    <div class="space20"></div>
                    <form action="">
                        <ul class="list-unstyled item-details product">
                            <li class="d-flex align-items-center"><strong class="color-dark pr-10">Quantité:</strong>
                                <div class="form-group item-quantity">
                                    <input type="button" value="-" class="qtyminus" />
                                    <input type="text" name='quantity' value='1' class="qty" />
                                    <input type="button" value="+" class="qtyplus" />
                                </div>
                                <span id="qty-errors" class="text-danger"></span>
                            </li>
                        </ul>
                        <button data-id="{{ product.spSku }}" type="submit" class="btn-add-to-cart btn">Ajouter à la liste</button>
                    </form>
                </aside>
            </div>
            <div class="space50"></div>
            <ul class="nav nav-tabs">
                <li class="nav-item"> <a class="nav-link text-dark" data-toggle="tab" href="#tab1-1">Détails des produits</a> </li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane show active" id="tab1-1">
                    {{ product.description }}
                </div>
            </div>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            <h2>Vous aimerez aussi</h2>
            <div class="row">
                {% for product in related_products %}
                    <div class="item item-detailed grid-sizer col-md-6 col-lg-4">
                        <div class="box bg-white shadow p-30" style="min-height: 580px;">
                            <figure class="main rounded mb-30">
                                <div class="item-detailed-image">
                                    <a href="{{ path('front_provider_product_show', {slug: product.slug, id: product.id, provider: product.user.slug}) }}">
                                        {% if product.images is not empty %}
                                            <img src="{{ asset(product.images[0].publicPath) }}" alt="">
                                        {% else %}
                                            <span style="text-align: center; background: #ccc; color: #999; height: 0; width: 100%; display: block; padding-top: 100%; position: relative;">
                                                <span style="position: absolute; top: 50%;left: 50%;transform: translate(-50%, -50%)">Pas d'image disponible</span>
                                            </span>
                                        {% endif %}
                                    </a>
                                </div>
                                <a href="#" data-id="{{ product.spSku }}" class="hover-icon-second" data-tip="Ajouter au devis"><i class="jam jam-plus"></i></a>
                            </figure>
                            <div class="item-content">
                                <h2 style="min-height: 96px;display: flex;align-items: center;" class="post-title mb-10"><a href="{{ path('front_provider_product_show', {slug: product.slug, id: product.id, provider: product.user.slug}) }}">{{ product.shortName }}</a></h2>
                                <div class="price mb-0">
                                <span class="amount">
                                    {{ product.shortDescription }}[...]
                                </span>
                                </div>
                                {#<span class="ratings four"></span>#}
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

    <a href="#" style="display: none;" id="modalToggle" data-toggle="modal" data-target="#modal-04"></a>
    <div id="modal-04" tabindex="-1" role="dialog" aria-labelledby="modal-04" class="modal fade" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="box p-30">
                    <div class="row">
                        <div class="col-md-12 my-auto">
                            <div class="media align-items-center">
                                <div class="media-body text-center">
                                    <h4 class="mb-10">Produit ajouté au devis !</h4>
                                    <p>Le produit a été ajouté à votre devis</p>
                                    <a href="#" class="btn" data-dismiss="modal" aria-label="Close">Je continue ma liste</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        jQuery(function () {

            jQuery('.btn-add-to-cart').click(function (e) {
                e.preventDefault();
                let qty = $('.qty').val();

                let $qtyErrors = $('#qty-errors');
                $qtyErrors.html("");
                if (qty <= 0) {
                    let msg = "Vous ne pouvez pas mettre une quantité négative";
                    $qtyErrors.html(msg);
                    return;
                }

                let $cart = jQuery('#cart-wrapper');
                let id = jQuery(this).attr('data-id');
                let $itemsCounter = jQuery('#itemsCount');
                if (!$cart.hasClass('not-empty')) {
                    $cart.addClass('not-empty');
                }

                jQuery.ajax({
                    url: '{{ path('front_add_to_cart') }}',
                    data: {id: id, qty: qty},
                    type: 'POST'
                }).done(function (jqxhr) {
                    response = JSON.parse(jqxhr);
                    if (response.type == 'old') {
                        $('input[data-product="'+response.id+'"').val(response.qty);
                    } else {
                        jQuery('.cart-body-list').append(response.html);
                        let count = $itemsCounter.html();
                        count++;
                        $itemsCounter.html(count);
                    }
                    $('#modalToggle').trigger('click');
                }).fail(function () {
                    alert('Une erreur s\'est produite !')
                })

            });

            $('.qtyplus').click(function () {
                let qty = $('.qty').val();
                qty++;
                $('.qty').val(qty);
            });

            $('.qtyminus').click(function () {
                let qty = $('.qty').val();
                if (qty > 1) {
                    qty--;
                    $('.qty').val(qty);
                }
            });
        })
    </script>
{% endblock %}